Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::PsiUHF Class Reference

PsiUHF is a concrete implementation of Psi UHF wave function. More...

`#include <psiwfn.h>`

Inheritance diagram for sc::PsiUHF:

[legend]
Collaboration diagram for sc::PsiUHF:

[legend]
List of all members.

## Public Methods
| PsiUHF (const Ref< KeyVal > &)
| PsiUHF (StateIn &)
| ~PsiUHF ()
void | write_basic_input (int conv)
| Writes out Psi input file entries specific to this PsiWavefunction. More...
int | spin_polarized ()
| Return 1 if the alpha density is not equal to the beta density.
int | gradient_implemented () const
PsiSCF::RefType | reftype () const
| Returns the PsiSCF::RefType of this particular Psi SCF wave function.
## Protected Methods
void | write_input (int conv)
| Prepares a complete Psi input file. The input file is assumed to have been opened.

## Detailed Description

PsiUHF is a concrete implementation of Psi UHF wave function.

## Member Function Documentation

void sc::PsiUHF::write_basic_input | ( | int | conv | ) | `[virtual]`

| Writes out Psi input file entries specific to this PsiWavefunction. The input file is assumed to have been opened. Reimplemented from sc::PsiWavefunction.

The documentation for this class was generated from the following file:

- psiwfn.h